org.modeshape.jmx

## Class StatisticalData

- java.lang.Object
- - org.modeshape.jmx.StatisticalData

- All Implemented Interfaces:
    Statistics

      public class StatisticalData
      extends Object
      implements Statistics

  Value holder exposed by JXM which provides statistical information via `Statistics`

- - ### Field Summary

    - ### Fields inherited from interface org.modeshape.jcr.api.monitor.Statistics

      `NO_STATISTICS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticalData(int count, long maximum, long minimum, double mean, double variance)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Get the number of samples to which these statistics apply.
    `long` | `getMaximum()` Get the maximum of the sampled values.
    `double` | `getMean()` The mean (or average) of the sampled values.
    `long` | `getMinimum()` Get the minimum of the sampled values.
    `double` | `getStandardDeviation()` Get the standard deviation of the sampled values, which is a measure of how spread out the numbers are and is the square root of the `variance`.
    `double` | `getVariance()` Get the variance of the sampled values, which is the average of the squared differences from the `mean`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticalData

          @ConstructorProperties(value={"count","maximum","minimum","mean","variance"})
          public StatisticalData(int count,
                                                    long maximum,
                                                    long minimum,
                                                    double mean,
                                                    double variance)

      Parameters:
        `count` - number of elements in the sample
        `maximum` - max value from the sample
        `minimum` - min value from the sample
        `mean` - sample mean
        `variance` - sample variance

  - ### Method Detail

    - #### getCount

          public int getCount()

      Description copied from interface: `Statistics`
      Get the number of samples to which these statistics apply.
      Specified by:
        `getCount` in interface `Statistics`
      Returns:
        the number of samples; never negative

    - #### getMaximum

          public long getMaximum()

      Description copied from interface: `Statistics`
      Get the maximum of the sampled values.
      Specified by:
        `getMaximum` in interface `Statistics`
      Returns:
        the maximum value

    - #### getMinimum

          public long getMinimum()

      Description copied from interface: `Statistics`
      Get the minimum of the sampled values.
      Specified by:
        `getMinimum` in interface `Statistics`
      Returns:
        the minimum value

    - #### getMean

          public double getMean()

      Description copied from interface: `Statistics`
      The mean (or average) of the sampled values. This is returned as a double to reduce the lost of precision.
      Specified by:
        `getMean` in interface `Statistics`
      Returns:
        the mean or average value

    - #### getVariance

          public double getVariance()

      Description copied from interface: `Statistics`
      Get the variance of the sampled values, which is the average of the squared differences from the `mean`.
      Specified by:
        `getVariance` in interface `Statistics`
      Returns:
        the variance; never negative

    - #### getStandardDeviation

          public double getStandardDeviation()

      Description copied from interface: `Statistics`
      Get the standard deviation of the sampled values, which is a measure of how spread out the numbers are and is the square root of the `variance`.
      Specified by:
        `getStandardDeviation` in interface `Statistics`
      Returns:
        the standard deviation; never negative

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.